Skip to main content
GET
List probationary-periods

Authorizations

Authorization
string
header
required

The Lucca API implements the oAuth 2 protocol with the client-credentials-flow. Refer to RFC8725.

Headers

Api-Version
enum<string>
required

Set the API version.

Available options:
2024-11-01
Allowed value: "2024-11-01"
Maximum string length: 10
Example:

"2024-11-01"

If-None-Match
string

Only execute the request if current cached version of the resource does not match the one given here.

Example:

"W/q5sd4w2x1c1gfdg"

If-Match
string

Only execute the request if current cached version of the resource matches the one given here. Useful to avoid concurrency conflicts.

Example:

"W/q5sd4w2x1c1gfdg"

Accept-Encoding
string

List of compression algorithms you support.

Query Parameters

page
string

Cursor of the page to retrieve. Read more about pagination.

limit
integer
default:25

Number of items per page. Defaults to 25. Maximum is 1,000. Read more about pagination.

Required range: 0 <= x <= 1000
employment.employee.id
string[]

Filter out probationary-periods on the related employee.

Minimum string length: 1
Example:
employment.id
string[]

Filter out probationary-periods on the employment they apply to.

Minimum string length: 1
Example:
startsOn.between
string<date-range>

Filter out probationary-periods on their start date (in a range). ISO 8601 formatted date-range string. ISO 8601 formatted date-range string. Examples:

  • 2024-01-01--2024-12-31: from Jan. 1st 2024 until Dec. 31st 2024 (included).
  • ..--2024-12-31: until Dec. 31st 2024.
  • 2024-01-01--..: from Jan. 1st 2024.
Examples:

"2024-01-01--2024-12-31"

"..--2024-12-31"

"2024-01-01--.."

endsOn.between
string<date-range>

Filter out probationary-periods on their end date (in a range). ISO 8601 formatted date-range string. ISO 8601 formatted date-range string. Examples:

  • 2024-01-01--2024-12-31: from Jan. 1st 2024 until Dec. 31st 2024 (included).
  • ..--2024-12-31: until Dec. 31st 2024.
  • 2024-01-01--..: from Jan. 1st 2024.
Examples:

"2024-01-01--2024-12-31"

"..--2024-12-31"

"2024-01-01--.."

initialEndsOn.between
string<date-range>

Filter out probationary-periods on their initial end date (in a range). ISO 8601 formatted date-range string. ISO 8601 formatted date-range string. Examples:

  • 2024-01-01--2024-12-31: from Jan. 1st 2024 until Dec. 31st 2024 (included).
  • ..--2024-12-31: until Dec. 31st 2024.
  • 2024-01-01--..: from Jan. 1st 2024.
Examples:

"2024-01-01--2024-12-31"

"..--2024-12-31"

"2024-01-01--.."

extendedEndsOn.between
string<date-range>

Filter out probationary-periods on their extended end date (in a range). ISO 8601 formatted date-range string. ISO 8601 formatted date-range string. Examples:

  • 2024-01-01--2024-12-31: from Jan. 1st 2024 until Dec. 31st 2024 (included).
  • ..--2024-12-31: until Dec. 31st 2024.
  • 2024-01-01--..: from Jan. 1st 2024.
Examples:

"2024-01-01--2024-12-31"

"..--2024-12-31"

"2024-01-01--.."

isExtended
boolean

Filter out probationary-periods on whether they were extended (true) or not (false). When omitted, both extended and non-extended probationary-periods are returned.

Example:

true

sort
enum<string>[]

Order results by instruction. Read more about sorting. Default: id.

Available options:
id,
-id,
startsOn,
-startsOn,
endsOn,
-endsOn
include
enum<string>[]

Include metadata:

  • embedded: the partial or complete representations of related resources (e.g. the employee the resource belongs to).
  • links: links to related resources or actions (e.g. approving a leave-request). May be null when you do not have access to the resource (or action).
  • totalCount: only applicable on collections (i.e. lists of resources), gives the total number of items across all pages.

Read more about expanding responses.

Available options:
embedded,
links,
totalCount

Response

OK

A collection of probationary-period resources.

type
string
Allowed value: "probationary-periods"
url
string<uri>
totalCount
integer<int64> | null

Total number of probationary-period resources across all pages that satisfy query parameters.

Required range: x >= 0
items
probationary-period · object[]
Maximum array length: 100

Links to related resources

embedded
object | null

No embedded resources on a probationary-period(s) response. Expect an empty object if embedded are requested.